Subject: [apps-discuss] APPSDIR revie of draft-ietf-eai-5738bis-03

From: Glenn Parsons <[email-masked]>
Date: Sun, 6 May 2012 13:58:50 -0400

I have been selected as the Applications Area Directorate reviewer for this draft (for background on appsdir, please see http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate ).
Please resolve these comments along with any other Last Call comments you may receive. Please wait for direction from your document shepherd or AD before posting a new version of the draft.
Document: draft-ietf-eai-5738bis-03
Title: IMAP Support for UTF-8
Reviewer:  Glenn Parsons
Review Date:  May 5, 2012
Summary: This draft is almost ready for publication as Proposed Standard RFC but has a few issues that should be fixed before publication
Major Issues:  None that I noticed...
Minor Issues:
3.  (last para)  Section 6 imply -> Section 6 implies
3.1 (first para) ...it informs the client that... -> ... it is informing the client that ...
      this rewording clarifies that the ABNF is not sent with the capability :-)
3.2  It would be cleare if the ABNF were introduced (as in 3.1) ... eg. Add ..."with the following syntax:" to the last para.  And further if the example was clearly marked "Example:"  Further the C/S should not be double spaced.
8. This document adds two new ... -> This document defines two ...
    In both paragraphs as these are already in the IANA registry.
8.  IMAP4 list selection -> IMAP4 LIST-EXTENDED
    ...since that is the IANA registry name
8.3  3.4.1 -> 3.4.2
      ... though I would be tempted to change them all to just 3.4
Nits:
** There are 3 instances of too long lines in the document, the longest one being 4 characters in excess of 72.
== The 'Obsoletes: ' line in the draft header should list only the _numbers_ of the RFCs which will be obsoleted by this document (if approved); it should not include the word 'RFC' in the list.
== The document seems to lack the recommended RFC 2119 boilerplate, even if it appears to use RFC 2119 keywords -- however, there's a paragraph with a matching beginning. Boilerplate error? (The document does seem to have the reference to RFC 2119 which the ID-Checklist requires).
== Missing Reference: 'RFC 5258' is mentioned on line 286, but not defined
== Outdated reference: draft-ietf-eai-rfc5335bis has been published as RFC 6532